For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Logo
Resources
Log inGet a demo
Get startedAPI referenceImplementation
Get startedAPI referenceImplementation
    • Overview
    • Introduction
    • Unified API
    • Linked Account
    • Merge Link
    • Use cases
      • Analyze compensation
      • Analyze payroll runs
      • Analyze project status
      • Analyze spend
      • Assign trainings
      • Auto provision
      • Automate gifts
      • Candidate journey recruiters
      • Candidate journey
      • Candidate matchmaking
      • Career development
      • Collect security evidence
      • Contact information
      • Create invoices
      • Create purchase orders
      • Customer payment reconciliation
      • Deal notifications
      • Employee analysis (GRC)
      • Enrich compliance data
      • Financial analysis
      • Forecast revenue
      • Headcount planning
      • Historical payroll
      • Internal database
      • Onboard and offboard
      • Opportunity recommendations
      • Org chart
      • Sales rep performance
      • Share specific documents
      • Source candidates
      • Source leads
      • Surface open jobs
      • Surface screening questions
      • Sync customers or suppliers
      • Sync expenses
      • Talent pool visibility
      • Track compliance
      • Track contracts
      • Track security controls
      • Train AI accounting
      • Train AI ATS
      • Train AI CRM
      • Train AI HRIS
      • Train AI ticketing
      • Upload contracts file
      • Vendor reconciliation
UnifiedAgent HandlerGateway
UnifiedAgent HandlerGateway
Resources
Log inGet a demo
Use cases

Vendor (AP) payment reconciliation

Receive vendor payment-related information in your application, do reconciliation in your application, and submit that information back to your platform

Key models and fields

AccountsGET
name
account_number
InvoicesGET
accounts_payable
ContactsGET

Key features

  • Authenticated Passthrough Request

Typical sync frequency
Highest

Industries

SaaS Procurement
CPG Tools
Was this page helpful?
Previous

Upload contracts

Built with

1. Authorize integration

Ensure your user authorizes their integration with their specific accounting platform.

Your Product's Frontend and Merge

2. Retrieve your user's accounting configuration data

The following steps will cover the business logic you will need to configure in your backend to interact with Merge’s Unified API. “Settings” data refers to all information related to suppliers, accounts, and tracking categories. To do this, we will access three endpoints: Retrieve all suppliers in the accounting platform using the GET /Contacts endpoint. You can filter this by is_supplier.

Retrieve accounts in the accounting platform using the GET /accounts endpoint. You may choose to only look at certain classifications.

If your user has tracking categories configured, you can retrieve them from the accounting platform with GET /Tracking Categories.

Your Product's Backend

3. Retrieve unpaid bills

Retrieve all bills for all suppliers that aren’t yet paid. Use the GET /Invoices endpoint to access all invoices, and use the query param = ACCOUNTS_PAYABLE to filter to only bills.

Look at the Balance field to find invoices that have a non-zero value. Filter to only show invoices that haven’t been paid.

Your Product's Backend

4. Create payments against bills

Based on the status of the bills you pulled into the system, you’ll programmatically create payments/expenses against bills. You should pull this information from your customer’s banking platform. If spend matches a synced bill, use the POST /Payment endpoint against the bill.

If spend does not have a synced bill, you’ll want to use POST /Invoices and POST /Payment to create a record.

Your Product's Backend

5. Reconcile payments

For Payments that do not match the bill amount, you will want to reconcile these payments by updating the Invoice information. Currently, Merge does not support the PATCH /Invoice endpoint. Instead, this can be supported through our Authenticated Passthrough Requests.

Your Product's Backend

Reach out to schedule a demo to get access to our Authenticated Passthrough requests.

6. Keep your users' finances in check automatically

With financial and accounting data flowing properly, your app can help your users keep their financial statements in balance, matching their payments to bills and reconciling the differences.

Your Product's Frontend
Automate reconciliation with Merge

Integrate today or talk to our sales team to learn how Merge unlocks hundreds of integrations in days - not years.


Get a demo